GCLOUD_COMPUTE_TARGET-TCP-PROXIES_UPDATE(1)

NAME

gcloud compute target-tcp-proxies update - update a target TCP proxy

SYNOPSIS

gcloud compute target-tcp-proxies update NAME [--backend-service=BACKEND_SERVICE] [--proxy-header=PROXY_HEADER] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute target-tcp-proxies update is used to change the backend service or proxy header of existing target TCP proxies. A target TCP proxy is referenced by one or more forwarding rules which define which packets the proxy is responsible for routing. The target TCP proxy in turn points to a backend service which will handle the requests.

POSITIONAL ARGUMENTS

    NAME
        The name of the target TCP proxy to update.

FLAGS

    --backend-service=BACKEND_SERVICE
        A backend service that will be used for connections to the target TCP proxy.

    --proxy-header=PROXY_HEADER
        The type of proxy protocol header to be sent to the backend. PROXY_HEADER must be one of:

        NONE
            No proxy header is added.

        PROXY_V1
            Enables PROXY protocol (version 1) for passing client connection information.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.